Issue 27568

Summary: Switch -g0 is passed to C-compiler (Solaris Sparc)
Product: porting Reporter: jens-heiner.rechtien
Component: codeAssignee: jens-heiner.rechtien
Status: CLOSED FIXED QA Contact: issues <issues.openoffice.org>
Severity: trivial    
Priority: P4 CC: issues
Version: current   
Target Milestone: DevTools   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation on: ---
Developer Difficulty: ---

Description jens-heiner.rechtien 2004-04-07 14:59:30 UTC
Switch "-g0" (enable debug *and* inlining) is passed to the Solaris Sparc
C-compiler who doesn't know anything about "-g0". This results in a warning:

cc: Warning: option -O passed to ld
Comment 1 Martin Hollmichel 2004-05-28 17:32:29 UTC
according to the announcement on releases
(http://www.openoffice.org/servlets/ReadMsg?list=releases&msgNo=7503) this issue
will be re-targeted to OOo Later.
Comment 2 hjs 2005-02-09 16:43:11 UTC
so it should be
-g0 # the C++ case adn
-g  # the C case, right?
Comment 3 jens-heiner.rechtien 2005-02-09 17:02:57 UTC
hr->hjs: right
Comment 4 hjs 2005-05-19 17:05:49 UTC
seperated switches for c/c++ compiler (optional)
Comment 5 hjs 2005-05-19 17:06:28 UTC
please verify

re-open issue and reassign to hr@openoffice.org
Comment 6 hjs 2005-05-19 17:06:31 UTC
reassign to hr@openoffice.org
Comment 7 hjs 2005-05-19 17:06:38 UTC
reset resolution to FIXED
Comment 8 hjs 2005-06-08 18:21:47 UTC
.
Comment 9 jens-heiner.rechtien 2005-06-22 13:58:16 UTC
verified
Comment 10 jens-heiner.rechtien 2005-08-08 15:07:23 UTC
Close issue.